### Class

# Devhelp Profile

#### Description

    class Devhelp.Profile : GObject.Object {
      parent: GObject,
      priv: DhProfilePrivate*
    }

No description available.

#### Ancestors

- GObject

#### Functions

###### dh_profile_get_default

Gets the default `DhProfile` object. It has the default `DhSettings` object as returned by dh_settings_get_default(), and the default `DhBookList` object as returned by dh_book_list_get_default().

Available since: 3.30

#### Instance methods

###### dh_profile_get_book_list

Gets the `DhBookList` object of `profile`. The returned object is guaranteed to be the same for the lifetime of `profile`.

Available since: 3.30

###### dh_profile_get_settings

Gets the `DhSettings` object of `profile`. The returned object is guaranteed to be the same for the lifetime of `profile`.

Available since: 3.30

##### Methods inherited from GObject (43)

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct DevhelpProfileClass {
      GObjectClass parent_class;
      None padding;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.
`padding` |
    None
| No description available.